file Predefined model fragments out of order

1 year 6 months ago #4973 by Timothy Rowe
I've just upgraded from an old version of Modelio to the latest (on Windows 10). Now whenever I create a new Java project (or import an old one) I get an error

java.io.IOException: The 'PredefinedTypes 3.6.04' fragment's 'Infrastructure v2.0.00' metamodel is outdated compared to the current 'Infrastructure v2.1.00' version.,
The 'PredefinedTypes 3.6.04' fragment's 'Standard v2.0.00' metamodel is outdated compared to the current 'Standard v2.2.00' version.
The 'PredefinedTypes 3.6.04' fragment's 'Infrastructure v2.0.00' metamodel is outdated compared to the current 'Infrastructure v2.1.00' version.,
The 'PredefinedTypes 3.6.04' fragment's 'Standard v2.0.00' metamodel is outdated compared to the current 'Standard v2.2.00' version.


It looks as if Modelio is using predefined types still hanging around from the old version. How do I get it to use the current types?

Please Log in or Create an account to join the conversation.

1 year 6 months ago #4974 by osl
Hi Timothy,

Try this:
1. go to 'Configuration > Modules catalog'
2. click on the 'Check for new versions' button
3. select the new versions of your modules, then click on the 'Add to catalog' button
4. go to 'Configuration > Modules
5. click on the 'Add' button
6. select the new versions of your modules, then click on the 'Deploy in the project' button

How does it help?

--
osl

Go pro

Please Log in or Create an account to join the conversation.

1 year 6 months ago #4975 by Timothy Rowe
Thanks, that seems to do the trick.

Please Log in or Create an account to join the conversation.

Moderators: tmaebr
Time to create page: 0.038 seconds
^ Back to Top